﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Data.OleDb;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace TrueDBGridScrollDemo
{
    public partial class Form1 : Form
    {
        TDBScroll tdb;
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            tdb = new TDBScroll();
            this.Controls.Add(tdb);
            tdb.Dock = DockStyle.Fill;
            DataTable dt = new DataTable();
            string connectionString = "Provider=Microsoft.Jet.OLEDB.4.0;Data Source=" +
                         System.IO.Path.Combine(Environment.GetFolderPath(Environment.SpecialFolder.MyDocuments),
                         @"ComponentOne Samples\Common\C1NWind.mdb") + ";";
            OleDbConnection conn = new OleDbConnection(connectionString);
            OleDbDataAdapter adapter = new OleDbDataAdapter("Select * from Data", conn);
            adapter.Fill(dt);
            tdb.DataSource = dt;
            tdb.AllowHorizontalSplit =true;
            tdb.AllowVerticalSplit = true;  
        }   
    }
}
